
#include "MacroPatternMatch.h"

#include "HROOTCoreTDirectory.h"

#include "TDirectoryFile.h"

#include "HROOTIOTDirectoryFile.h"

using namespace ROOT;

#define CHECKPROTECT(x,y) FXIS_PAREN(IS_ ## x ## _ ## y ## _PROTECTED)

#define TYPECASTMETHOD(cname,mname,oname) \
  FXIIF( CHECKPROTECT(cname,mname) ) ( \
  (from_nonconst_to_nonconst<oname,cname ## _t>), \
  (from_nonconst_to_nonconst<cname,cname ## _t>) )

TDIRECTORY_DEF_VIRT(TDirectoryFile)
TNAMED_DEF_VIRT(TDirectoryFile)
TOBJECT_DEF_VIRT(TDirectoryFile)
DELETABLE_DEF_VIRT(TDirectoryFile)
TDIRECTORYFILE_DEF_VIRT(TDirectoryFile)
TDIRECTORYFILE_DEF_NONVIRT(TDirectoryFile)
TDIRECTORYFILE_DEF_ACCESSOR(TDirectoryFile)

