
#include "MacroPatternMatch.h"

#include "HROOTIOTDirectoryFile.h"

#include "TFile.h"

#include "HROOTIOTFile.h"

using namespace ROOT;

#define CHECKPROTECT(x,y) FXIS_PAREN(IS_ ## x ## _ ## y ## _PROTECTED)

#define TYPECASTMETHOD(cname,mname,oname) \
  FXIIF( CHECKPROTECT(cname,mname) ) ( \
  (from_nonconst_to_nonconst<oname,cname ## _t>), \
  (from_nonconst_to_nonconst<cname,cname ## _t>) )

TDIRECTORYFILE_DEF_VIRT(TFile)
TDIRECTORY_DEF_VIRT(TFile)
TNAMED_DEF_VIRT(TFile)
TOBJECT_DEF_VIRT(TFile)
DELETABLE_DEF_VIRT(TFile)
TFILE_DEF_VIRT(TFile)
TFILE_DEF_NONVIRT(TFile)
TFILE_DEF_ACCESSOR(TFile)

